"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRxFactory = useRxFactory;
const react_cool_hooks_1 = require("react-cool-hooks");
const rxjs_1 = require("rxjs");
const useValueChange_1 = require("./useValueChange");
const EMPTY_DEPS = [];
function useRxFactory(factory, deps = EMPTY_DEPS) {
    const wrappedFactory = (0, react_cool_hooks_1.useFunction)(factory);
    const deps$ = (0, useValueChange_1.useValueChange)(deps);
    return (0, react_cool_hooks_1.useOnce)(() => deps$.pipe((0, rxjs_1.distinctUntilChanged)((previous, current) => (Object.is(current, previous) || current.every((el, i) => Object.is(el, previous[i])))), (0, rxjs_1.switchMap)(() => new rxjs_1.Observable(wrappedFactory)), (0, rxjs_1.share)({ connector: () => new rxjs_1.Subject() })));
}
//# sourceMappingURL=useRxFactory.js.map