"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSubject = useSubject;
const react_cool_hooks_1 = require("react-cool-hooks");
function useSubject(subjectFactory) {
    const subject = (0, react_cool_hooks_1.useOnce)(subjectFactory);
    (0, react_cool_hooks_1.useUnmountEffect)(() => {
        subject.complete();
    });
    return subject;
}
//# sourceMappingURL=useSubject.js.map