import { Observable, OperatorFunction } from "rxjs";
export interface RxCallback<Args extends any[]> extends CallableFunction {
    (...args: Args): void;
}
export type PipeFactory<Args extends any[], Result> = () => OperatorFunction<Args, Result>;
export declare function useRxCallback<Args extends any[], Result>(pipe: PipeFactory<Args, Result>): [Observable<Result>, RxCallback<Args>];
export declare function useRxCallback<Args extends any[]>(): [Observable<Args>, RxCallback<Args>];
