import { SyntheticEvent } from 'react';
import { Observable } from 'rxjs';
export interface SyntheticEventListener<E extends SyntheticEvent> extends CallableFunction {
    (event: E): void;
}
export declare function useRxEvent(): [Observable<SyntheticEvent>, SyntheticEventListener<SyntheticEvent>];
export declare function useRxEvent<E extends SyntheticEvent>(): [Observable<E>, SyntheticEventListener<E>];
export declare function useRxEvent<E extends SyntheticEvent, R>(mapFn: (event: E) => R): [Observable<R>, SyntheticEventListener<E>];
