"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Render$ = Render$;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const rxjs_1 = require("rxjs");
const value_guards_1 = require("value-guards");
const useTransitionObservable_1 = require("../hooks/useTransitionObservable");
function Render$({ $: source, definedOnly, fallback, children }) {
    const observable = (0, react_1.useMemo)(() => (0, rxjs_1.from)(source), [source]);
    const [pending, value] = (0, useTransitionObservable_1.useTransitionObservable)(observable);
    if (definedOnly) {
        return ((0, jsx_runtime_1.jsx)(react_1.Fragment, { children: (0, value_guards_1.isDefined)(value) ? (children(value, pending) ?? fallback ?? null) : (fallback ?? null) }));
    }
    else {
        return ((0, jsx_runtime_1.jsx)(react_1.Fragment, { children: children(value, pending) ?? fallback ?? null }));
    }
}
Render$.displayName = 'Render$';
//# sourceMappingURL=Render$.js.map