"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRxEffect = useRxEffect;
const react_1 = require("react");
const react_cool_hooks_1 = require("react-cool-hooks");
const rxjs_1 = require("rxjs");
const useSubject_1 = require("./useSubject");
function useRxEffect() {
    const subject = (0, useSubject_1.useSubject)(() => new rxjs_1.BehaviorSubject(0));
    const effect$ = (0, react_cool_hooks_1.useOnce)(() => subject.asObservable());
    (0, react_1.useEffect)(() => {
        subject.next(subject.getValue() + 1);
    });
    return effect$;
}
//# sourceMappingURL=useRxEffect.js.map