import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment, useMemo } from 'react';
import { from } from 'rxjs';
import { useObservable } from '../hooks/useObservable';
export function Output$({ $: source }) {
    const observable = useMemo(() => from(source), [source]);
    const value = useObservable(observable);
    return (_jsx(Fragment, { children: value }));
}
Output$.displayName = 'Output$';
//# sourceMappingURL=Output$.js.map