import { useOnce, useUnmountEffect } from 'react-cool-hooks';
export function useSubject(subjectFactory) {
    const subject = useOnce(subjectFactory);
    useUnmountEffect(() => {
        subject.complete();
    });
    return subject;
}
//# sourceMappingURL=useSubject.js.map