import { Observable } from 'rxjs';
/**
 * @summary Provides memoized observable for passed value.
 * Emits new values when passed value changes. Completes when component will unmount
 */
export declare function useValueChange<T>(value: T): Observable<T>;
