import { Observable } from 'rxjs';
/**
 * @summary Provides an observable for lifecycle hook "componentWillUnmount"
 * Creates memoized observable that emits only once and completes before component will unmount.
 */
export declare function useWillUnmount(): Observable<void>;
