import { Observable } from 'rxjs';
import { Queue } from './Queue';
export interface InternalObservableState<T> {
    didMount: boolean;
    valuesBuffer: Queue<T>;
    valueCache: T | undefined;
    reactStateUsed: boolean;
}
export declare function _useObservableInternals<T>(observable: Observable<T>, setStateFn: (newValue: T, callback: () => void) => void): InternalObservableState<T>;
